;------------------------------------------------------------------------------
;-   Name: Remote_Capture.au3
;-
;-   Description: Gui frontend to X-ways Capture to run a 
;-                remote imaging of a server/computer.
;-
;-  Written By: Mark McKinnon - RedWolf Computer Forensics
;-  Date: 03-03-2007
;-
;-  Version: 1.0  
;-  License: gpl
;-
;-  Copyright (C) 2007  RedWolf Computer Forensics
;-
;-  This program is free software; you can redistribute it and/or
;-  modify it under the terms of the GNU General Public License
;-  as published by the Free Software Foundation; either version 2
;-  of the License, or (at your option) any later version.
;-
;-  This program is distributed in the hope that it will be useful,
;-  but WITHOUT ANY WARRANTY; without even the implied warranty of
;-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;-  GNU General Public License for more details.
;-
;-  You should have received a copy of the GNU General Public License
;-  along with this program; if not, write to the Free Software
;-  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
;-  02110-1301, USA.
;-
;------------------------------------------------------------------------------

#include <GUIConstants.au3>
#include <File.au3>
#Include <Array.au3>

Opt("GUICoordMode", 2 )
GUICreate("Remote Drive Acquistion")

GUICtrlCreateLabel("Remote Computer's Name", 15, 5, 230)
$Client_Name = GUICtrlCreateInput(@ComputerName, -1, 5)

GUICtrlCreateLabel("Domain\User Name", -1, 5, 100, 20)
GUICtrlCreateLabel("Admin Password", 80, -1, 100)
$Admin_Id = GUICtrlCreateInput("", -280, 5, 130, 20, $SS_GRAYFRAME)
$Admin_Id_Pw = GUICtrlCreateInput("", 50, -1, 150, 20, 0x21)

GUICtrlCreateLabel("Map Drive for Capture Software", -330, 5, 230)
GUICtrlCreateLabel("Drive Letter", -1, 5, 100)
GUICtrlCreateLabel("UNC Path For Drive", 0, -1, -1)
$Map_Capture_Letter = GUICtrlCreateInput("", -200, 5, 20, 20)
$Map_Capture_Unc = GUICtrlCreateInput("", 80, -1, 200, 20)

GUICtrlCreateLabel("Map Drive for Image Output", -300, 5, 230)
GUICtrlCreateLabel("Drive Letter", -1, 5, 100)
GUICtrlCreateLabel("UNC Path For Drive", 0, -1, -1)
$Map_Image_Letter = GUICtrlCreateInput("", -200, 5, 20, 20)
$Map_Image_Unc = GUICtrlCreateInput("", 80, -1, 200, 20)

GUICtrlCreateLabel("Capture Executable Directory", -300, 5, 175)
GUICtrlCreateLabel("Capture Output Directory", 10, -1, -1)
$Map_Capture_Executable = GUICtrlCreateInput("", -360, 5, 175, 20)
$Map_Capture_Output = GUICtrlCreateInput("", 10, -1, 175, 20)

$Show_Mapped_Drives = GUICtrlCreateButton("Show Mapped Drives", -250, 10, 150)
$Run_capture = GUICtrlCreateButton("RUN Capture", -1, 15, 150)
$Exit_Now= GUICtrlCreateButton("Exit", -1, 10, 150)

GUISetState()

While 1
  $msg = GUIGetMsg()

  Select
    Case $msg = $Exit_Now
       ExitLoop
    Case $msg = $GUI_EVENT_CLOSE
       ExitLoop
    Case $msg = $Show_Mapped_Drives
        RunWait("show_drives_mapped.bat " & GuiCtrlRead($Client_Name) & " " & GuiCtrlRead($Admin_Id) & " " & GuiCtrlRead($Admin_Id_Pw))
    Case $msg = $Run_Capture
        RunWait("Run_Capture.bat " & GuiCtrlRead($Client_Name) & " " & GuiCtrlRead($Admin_Id) & " " & GuiCtrlRead($Admin_Id_Pw) & " " & GuiCtrlRead($Map_Capture_Executable) & " " & GuiCtrlRead($Map_Capture_Output) & " " & GuiCtrlRead($Map_Capture_Letter) & " " & GuiCtrlRead($Map_Capture_Unc) & " " & GuiCtrlRead($Map_Image_Letter) & " " & GuiCtrlRead($Map_Image_Unc))
        RunWait("show_drives_mapped.bat " & GuiCtrlRead($Client_Name) & " " & GuiCtrlRead($Admin_Id) & " " & GuiCtrlRead($Admin_Id_Pw))
  EndSelect
WEnd 
 